package com.jwipc.sys.client;

import com.jwipc.sys.client.dto.PurchaseGroupDTO;

import java.util.List;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */

public interface PurchaseGroupClient {

    public PurchaseGroupDTO getByCode(String code);
    public PurchaseGroupDTO getByName(String name);

    public List<PurchaseGroupDTO> getAll();

    List<PurchaseGroupDTO> listAll(Long userId);
}
